<div class="p-page">
  <a class="a-back" [routerLink]="['/household', 'settings']">
    <mat-icon>arrow_back</mat-icon><span>Instellingen</span>
  </a>
  <section class="o-card -green -last">
    <div class="o-card__container">
      <h2 class="o-card__title">Gebruiker</h2>
      <ng-container *ngIf="!userInfoError">
        <ul
          class="m-settings"
          *ngIf="userInfo$ | async as userInfo; else isLoading"
        >
          <li class="m-settings__item">
            <div class="m-settings__title">Je (bij)naam</div>
            <div class="m-settings__value">{{ userInfo.username }}</div>
          </li>
          <li class="m-settings__item">
            <div class="m-settings__title">E-mailadres</div>
            <div class="m-settings__value">{{ userInfo.email }}</div>
          </li>
        </ul>
        <ng-template #isLoading>
          <ul class="m-settings">
            <li class="m-settings__item">
              <div class="m-settings__is-loading"></div>
              <div class="m-settings__is-loading-value"></div>
            </li>
            <li class="m-settings__item">
              <div class="m-settings__is-loading"></div>
              <div class="m-settings__is-loading-value"></div>
            </li>
          </ul>
        </ng-template>
      </ng-container>
      <ng-container *ngIf="userInfoError">
        <app-cannot-load
          [message]="'Kan data niet laden.'"
          (refresh)="onRefreshData()"
        ></app-cannot-load>
      </ng-container>
    </div>
  </section>
</div>
